> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Huggingface Settings



## OpenAPI

````yaml /api-reference/openapi.json get /api/integrations/huggingface
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/integrations/huggingface:
    get:
      tags:
        - integrations
      summary: Get Huggingface Settings
      operationId: get_huggingface_settings_api_integrations_huggingface_get
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HuggingFaceIntegrationSettings'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HuggingFaceIntegrationSettings:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        has_token:
          type: boolean
          title: Has Token
          default: false
        saved_tokens:
          items:
            $ref: '#/components/schemas/SavedTokenEntry'
          type: array
          title: Saved Tokens
        is_active:
          type: boolean
          title: Is Active
          default: false
      type: object
      title: HuggingFaceIntegrationSettings
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SavedTokenEntry:
      properties:
        id:
          type: string
          title: Id
        masked_token:
          type: string
          title: Masked Token
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - masked_token
      title: SavedTokenEntry
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````